//
// k b c . h
//
// Header file for the Keyboard controller module
//
// Sep. 10, 2002 by W.Nishida (http://www.skyfree.org)
//

// 8042 keyboard controler (KBC) definition

#define KBC_CTRL	0x64	// 8042 KBC control port (command/status)
#define KBC_DATA	0x60	// 8042 KBC data buffer
#define IOWAIT		0x80	// 1 miscrosec wait / access

#define KBC_OBF		0x01	// Output buffer is full (please read)
#define KBC_IBF		0x02	// Input buffer is full (don't write)
#define KBC_BUSY	(KBC_OBF | KBC_IBF)

// 8259 programmable interrupt controller (PIC) definition

#define PIC_MIMR	0x21	// Master PIC IMR
#define PIC_IMR_KEY     2       // Master IMR keyboard IRQ bit

// Function prototypes

int  inb(int port);
void outb(int data, int port);
int  kbc_status(void);
int  kbc_read(void);
void disable_keyint(void);
void enable_keyint(void);
